uk.gov.hmrc.test.unigration.specs

# ControllerUnigrationSpec

###
Related Doc: package specs

#### trait ControllerUnigrationSpec extends PlaySpec with UnigrationBase with RequestHandlerBehaviours with HtmlAssertions with HttpAssertions

Linear Supertypes
HttpAssertions, HtmlAssertions, JsoupShouldMatchers, ElementWords, ElementSelectorBuilders, UnigrationAssertions, RequestHandlerBehaviours, UnigrationBase, UnigrationFixtures, UnigrationFutures, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, GuiceOneAppPerSuite, GuiceFakeApplicationFactory, FakeApplicationFactory, BaseOneAppPerSuite, TestSuiteMixin, SuiteMixin, PlaySpec, WsScalaTestClient, OptionValues, MustMatchers, Explicitly, MatcherWords, Tolerance, WordSpec, WordSpecLike, Documenting, Alerting, Notifying, Informing, CanVerb, MustVerb, ShouldVerb, TestRegistration, TestSuite, Suite, Serializable, Serializable, Assertions, TripleEquals, TripleEqualsSupport, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ControllerUnigrationSpec
2. HttpAssertions
3. HtmlAssertions
4. JsoupShouldMatchers
5. ElementWords
6. ElementSelectorBuilders
7. UnigrationAssertions
8. RequestHandlerBehaviours
9. UnigrationBase
10. UnigrationFixtures
11. UnigrationFutures
12. ScalaFutures
13. Futures
14. PatienceConfiguration
15. AbstractPatienceConfiguration
16. ScaledTimeSpans
17. GuiceOneAppPerSuite
18. GuiceFakeApplicationFactory
19. FakeApplicationFactory
20. BaseOneAppPerSuite
21. TestSuiteMixin
22. SuiteMixin
23. PlaySpec
24. WsScalaTestClient
25. OptionValues
26. MustMatchers
27. Explicitly
28. MatcherWords
29. Tolerance
30. WordSpec
31. WordSpecLike
32. Documenting
33. Alerting
34. Notifying
35. Informing
36. CanVerb
37. MustVerb
38. ShouldVerb
39. TestRegistration
40. TestSuite
41. Suite
42. Serializable
43. Serializable
44. Assertions
45. TripleEquals
46. TripleEqualsSupport
47. AnyRef
48. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### final class AWord extends AnyRef

   Definition Classes
     MustMatchers

2. #### final class AfterWord extends AnyRef

   Attributes
     protected
   Definition Classes
     WordSpecLike

3. #### final class AnWord extends AnyRef

   Definition Classes
     MustMatchers

4. #### sealed class AnyMustWrapper[T] extends AnyRef

   Definition Classes
     MustMatchers

5. #### class AssertionsHelper extends AnyRef

   Definition Classes
     Assertions

6. #### class CheckingEqualizer[L] extends AnyRef

   Definition Classes
     TripleEqualsSupport

7. #### class DecidedByEquality[A] extends Equality[A]

   Definition Classes
     Explicitly

8. #### class DecidedWord extends AnyRef

   Definition Classes
     Explicitly

9. #### class DeterminedByEquivalence[T] extends Equivalence[T]

   Definition Classes
     Explicitly

10. #### class DeterminedWord extends AnyRef

    Definition Classes
      Explicitly

11. #### sealed trait ElementWord extends AnyRef

    Definition Classes
      ElementWords

12. #### class Equalizer[L] extends AnyRef

    Definition Classes
      TripleEqualsSupport

13. #### trait FutureConcept[T] extends AnyRef

    Definition Classes
      Futures

14. #### final class HavePropertyMatcherGenerator extends AnyRef

    Definition Classes
      MustMatchers

15. #### final class ItWord extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

16. #### final class KeyWord extends AnyRef

    Definition Classes
      MustMatchers

17. #### trait NoArgTest extends () ⇒ Outcome with TestData

    Attributes
      protected
    Definition Classes
      TestSuite

18. #### final case class PatienceConfig extends Product with Serializable

    Definition Classes
      AbstractPatienceConfiguration

19. #### final class PlusOrMinusWrapper[T] extends AnyRef

    Definition Classes
      Tolerance

20. #### final class RegexWord extends AnyRef

    Definition Classes
      MustMatchers

21. #### final class RegexWrapper extends AnyRef

    Definition Classes
      MustMatchers

22. #### class ResultOfBeWordForAny[T] extends AnyRef

    Definition Classes
      MustMatchers

23. #### sealed class ResultOfBeWordForCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

24. #### final class ResultOfBeWordForCollectedArray[T] extends ResultOfBeWordForCollectedAny[Array[T]]

    Definition Classes
      MustMatchers

25. #### final class ResultOfCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

26. #### final class ResultOfContainWordForCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

27. #### final class ResultOfEndWithWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

28. #### final class ResultOfEndWithWordForString extends AnyRef

    Definition Classes
      MustMatchers

29. #### final class ResultOfFullyMatchWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

30. #### final class ResultOfFullyMatchWordForString extends AnyRef

    Definition Classes
      MustMatchers

31. #### final class ResultOfHaveWordForCollectedExtent[A] extends AnyRef

    Definition Classes
      MustMatchers

32. #### final class ResultOfHaveWordForExtent[A] extends AnyRef

    Definition Classes
      MustMatchers

33. #### final class ResultOfIncludeWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

34. #### final class ResultOfIncludeWordForString extends AnyRef

    Definition Classes
      MustMatchers

35. #### final class ResultOfNotWordForCollectedAny[T] extends AnyRef

    Definition Classes
      MustMatchers

36. #### final class ResultOfStartWithWordForCollectedString extends AnyRef

    Definition Classes
      MustMatchers

37. #### final class ResultOfStartWithWordForString extends AnyRef

    Definition Classes
      MustMatchers

38. #### final class ResultOfTaggedAsInvocationOnString extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

39. #### trait StringCanWrapperForVerb extends AnyRef

    Definition Classes
      CanVerb

40. #### final class StringMustWrapper extends AnyMustWrapper[String] with org.scalatest.MustMatchers.StringMustWrapperForVerb

    Definition Classes
      MustMatchers

41. #### trait StringMustWrapperForVerb extends AnyRef

    Definition Classes
      MustVerb

42. #### trait StringShouldWrapperForVerb extends AnyRef

    Definition Classes
      ShouldVerb

43. #### class TheAfterWord extends AnyRef

    Definition Classes
      Explicitly

44. #### final class TheSameInstanceAsPhrase extends AnyRef

    Definition Classes
      MustMatchers

45. #### final class TheyWord extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

46. #### class Valuable[T] extends AnyRef

    Definition Classes
      OptionValues

47. #### final class ValueWord extends AnyRef

    Definition Classes
      MustMatchers

48. #### final class WordSpecStringWrapper extends AnyRef

    Attributes
      protected
    Definition Classes
      WordSpecLike

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### def !==[T](right: Spread[T]): TripleEqualsInvocationOnSpread[T]

   Definition Classes
     TripleEqualsSupport

3. #### def !==(right: Null): TripleEqualsInvocation[Null]

   Definition Classes
     TripleEqualsSupport

4. #### def !==[T](right: T): TripleEqualsInvocation[T]

   Definition Classes
     TripleEqualsSupport

5. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

6. #### def <[T](right: T)(implicit arg0: Ordering[T]): ResultOfLessThanComparison[T]

   Definition Classes
     MustMatchers

7. #### def <=[T](right: T)(implicit arg0: Ordering[T]): ResultOfLessThanOrEqualToComparison[T]

   Definition Classes
     MustMatchers

8. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def ===[T](right: Spread[T]): TripleEqualsInvocationOnSpread[T]

   Definition Classes
     TripleEqualsSupport

10. #### def ===(right: Null): TripleEqualsInvocation[Null]

    Definition Classes
      TripleEqualsSupport

11. #### def ===[T](right: T): TripleEqualsInvocation[T]

    Definition Classes
      TripleEqualsSupport

12. #### def >[T](right: T)(implicit arg0: Ordering[T]): ResultOfGreaterThanComparison[T]

    Definition Classes
      MustMatchers

13. #### def >=[T](right: T)(implicit arg0: Ordering[T]): ResultOfGreaterThanOrEqualToComparison[T]

    Definition Classes
      MustMatchers

14. #### val GET: String

    Definition Classes
      RequestHandlerBehaviours

15. #### val POST: String

    Definition Classes
      RequestHandlerBehaviours

16. #### def a[T](implicit arg0: ClassTag[T]): ResultOfATypeInvocation[T]

    Definition Classes
      MustMatchers

17. #### val a: AWord

    Definition Classes
      MustMatchers

18. #### val after: TheAfterWord

    Definition Classes
      Explicitly

19. #### def afterWord(text: String): AfterWord

    Attributes
      protected
    Definition Classes
      WordSpecLike

20. #### def alert: Alerter

    Attributes
      protected
    Definition Classes
      WordSpecLike → Alerting

21. #### def all(xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

22. #### def all[K, V, JMAP[k, v] <: Map[k, v]](xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

23. #### def all[E, C[_]](xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

24. #### def allElementsOf[R](elements: GenTraversable[R]): ResultOfAllElementsOfApplication

    Definition Classes
      MustMatchers

25. #### def allOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfAllOfApplication

    Definition Classes
      MustMatchers

26. #### def an[T](implicit arg0: ClassTag[T]): ResultOfAnTypeInvocation[T]

    Definition Classes
      MustMatchers

27. #### val an: AnWord

    Definition Classes
      MustMatchers

28. #### lazy val app: Application

    Definition Classes
      UnigrationBase → BaseOneAppPerSuite

29. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

30. #### macro def assert(condition: Boolean, clue: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

31. #### macro def assert(condition: Boolean)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

32. #### macro def assertCompiles(code: String)(implicit pos: Position): Assertion

    Definition Classes
      Assertions

33. #### macro def assertDoesNotCompile(code: String)(implicit pos: Position): Assertion

    Definition Classes
      Assertions

34. #### def assertResult(expected: Any)(actual: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

35. #### def assertResult(expected: Any, clue: Any)(actual: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

36. #### def assertThrows[T <: AnyRef](f: ⇒ Any)(implicit classTag: ClassTag[T], pos: Position): Assertion

    Definition Classes
      Assertions

37. #### macro def assertTypeError(code: String)(implicit pos: Position): Assertion

    Definition Classes
      Assertions

38. #### val assertionsHelper: AssertionsHelper

    Definition Classes
      Assertions

39. #### macro def assume(condition: Boolean, clue: Any)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

40. #### macro def assume(condition: Boolean)(implicit prettifier: Prettifier, pos: Position): Assertion

    Definition Classes
      Assertions

41. #### def atLeast(num: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

42. #### def atLeast[K, V, JMAP[k, v] <: Map[k, v]](num: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

43. #### def atLeast[E, C[_]](num: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

44. #### def atLeastOneElementOf(elements: GenTraversable[Any]): ResultOfAtLeastOneElementOfApplication

    Definition Classes
      MustMatchers

45. #### def atLeastOneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfAtLeastOneOfApplication

    Definition Classes
      MustMatchers

46. #### def atMost(num: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

47. #### def atMost[K, V, JMAP[k, v] <: Map[k, v]](num: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

48. #### def atMost[E, C[_]](num: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

49. #### def atMostOneElementOf[R](elements: GenTraversable[R]): ResultOfAtMostOneElementOfApplication

    Definition Classes
      MustMatchers

50. #### def atMostOneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfAtMostOneOfApplication

    Definition Classes
      MustMatchers

51. #### val be: BeWord

    Definition Classes
      MatcherWords

52. #### val behave: BehaveWord

    Attributes
      protected
    Definition Classes
      WordSpecLike

53. #### def between(from: Int, upTo: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

    Definition Classes
      MustMatchers

54. #### def between[K, V, JMAP[k, v] <: Map[k, v]](from: Int, upTo: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

    Definition Classes
      MustMatchers

55. #### def between[E, C[_]](from: Int, upTo: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

    Definition Classes
      MustMatchers

56. #### def cancel(cause: Throwable)(implicit pos: Position): Nothing

    Definition Classes
      Assertions

57. #### def cancel(message: String, cause: Throwable)(implicit pos: Position): Nothing

    Definition Classes
      Assertions

58. #### def cancel(message: String)(implicit pos: Position): Nothing

    Definition Classes
      Assertions

59. #### def cancel()(implicit pos: Position): Nothing

    Definition Classes
      Assertions

60. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### val compile: CompileWord

    Definition Classes
      MatcherWords

62. #### def component[T](implicit arg0: ClassTag[T]): T

    Attributes
      protected[uk.gov.hmrc.test.unigration]
    Definition Classes
      UnigrationBase

63. #### val contain: ContainWord

    Definition Classes
      MatcherWords

64. #### def contentAsHtml(of: Future[Result]): Element

    Definition Classes
      HtmlAssertions

65. #### val contextPath: String

    Definition Classes
      RequestHandlerBehaviours

66. #### def conversionCheckedConstraint[A, B](implicit equivalenceOfA: Equivalence[A], cnv: (B) ⇒ A): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

67. #### def convertEquivalenceToAToBConstraint[A, B](equivalenceOfB: Equivalence[B])(implicit ev: <:<[A, B]): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

68. #### def convertEquivalenceToAToBConversionConstraint[A, B](equivalenceOfB: Equivalence[B])(implicit ev: (A) ⇒ B): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

69. #### def convertEquivalenceToBToAConstraint[A, B](equivalenceOfA: Equivalence[A])(implicit ev: <:<[B, A]): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

70. #### def convertEquivalenceToBToAConversionConstraint[A, B](equivalenceOfA: Equivalence[A])(implicit ev: (B) ⇒ A): CanEqual[A, B]

    Definition Classes
      TripleEquals → TripleEqualsSupport

71. #### implicit def convertNumericToPlusOrMinusWrapper[T](pivot: T)(implicit arg0: Numeric[T]): PlusOrMinusWrapper[T]

    Definition Classes
      Tolerance

72. #### implicit def convertOptionToValuable[T](opt: Option[T])(implicit pos: Position): Valuable[T]

    Definition Classes
      OptionValues

73. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): FutureConcept[T]

    Definition Classes
      ScalaFutures

74. #### implicit def convertSymbolToHavePropertyMatcherGenerator(symbol: Symbol)(implicit prettifier: Prettifier, pos: Position): HavePropertyMatcherGenerator

    Definition Classes
      MustMatchers

75. #### implicit def convertToAnyMustWrapper[T](o: T)(implicit pos: Position, prettifier: Prettifier): AnyMustWrapper[T]

    Definition Classes
      MustMatchers

76. #### def convertToCheckingEqualizer[T](left: T): CheckingEqualizer[T]

    Definition Classes
      TripleEquals → TripleEqualsSupport

77. #### implicit def convertToEqualizer[T](left: T): Equalizer[T]

    Definition Classes
      TripleEquals → TripleEqualsSupport

78. #### implicit def convertToRegexWrapper(o: Regex): RegexWrapper

    Definition Classes
      MustMatchers

79. #### implicit def convertToStringCanWrapper(o: String)(implicit position: Position): StringCanWrapperForVerb

    Definition Classes
      CanVerb

80. #### implicit def convertToStringMustWrapper(o: String)(implicit pos: Position, prettifier: Prettifier): StringMustWrapper

    Definition Classes
      MustMatchers

81. #### implicit def convertToStringMustWrapperForVerb(o: String)(implicit position: Position): StringMustWrapperForVerb

    Definition Classes
      MustVerb

82. #### implicit def convertToStringShouldWrapperForVerb(o: String)(implicit position: Position): StringShouldWrapperForVerb

    Definition Classes
      ShouldVerb

83. #### implicit def convertToWordSpecStringWrapper(s: String): WordSpecStringWrapper

    Attributes
      protected
    Definition Classes
      WordSpecLike

84. #### def customise(builder: GuiceApplicationBuilder): GuiceApplicationBuilder

    Attributes
      protected
    Definition Classes
      UnigrationBase

85. #### val decided: DecidedWord

    Definition Classes
      Explicitly

86. #### def defaultEquality[A]: Equality[A]

    Definition Classes
      TripleEqualsSupport

87. #### val defined: DefinedWord

    Definition Classes
      MatcherWords

88. #### def definedAt[T](right: T): ResultOfDefinedAt[T]

    Definition Classes
      MustMatchers

89. #### val determined: DeterminedWord

    Definition Classes
      Explicitly

90. #### implicit lazy val ec: ExecutionContext

    Definition Classes
      UnigrationBase

91. #### val element: ElementWord

    Definition Classes
      ElementWords

92. #### val empty: EmptyWord

    Definition Classes
      MatcherWords

93. #### val endWith: EndWithWord

    Definition Classes
      MatcherWords

94. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

95. #### def equal(o: Null): Matcher[AnyRef]

    Definition Classes
      MustMatchers

96. #### def equal[T](spread: Spread[T]): Matcher[T]

    Definition Classes
      MustMatchers

97. #### def equal(right: Any): MatcherFactory1[Any, Equality]

    Definition Classes
      MatcherWords

98. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

99. #### val errorHandler: HttpErrorHandler

    Definition Classes
      RequestHandlerBehaviours

100. #### def every(xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

     Definition Classes
       MustMatchers

101. #### def every[K, V, JMAP[k, v] <: Map[k, v]](xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

     Definition Classes
       MustMatchers

102. #### def every[E, C[_]](xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

     Definition Classes
       MustMatchers

103. #### def exactly(num: Int, xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

     Definition Classes
       MustMatchers

104. #### def exactly[K, V, JMAP[k, v] <: Map[k, v]](num: Int, xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

     Definition Classes
       MustMatchers

105. #### def exactly[E, C[_]](num: Int, xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

     Definition Classes
       MustMatchers

106. #### final def execute(testName: String, configMap: ConfigMap, color: Boolean, durations: Boolean, shortstacks: Boolean, fullstacks: Boolean, stats: Boolean): Unit

     Definition Classes
       Suite

107. #### val exist: ExistWord

     Definition Classes
       MatcherWords

108. #### def expectedTestCount(filter: Filter): Int

     Definition Classes
       Suite

109. #### def fail(cause: Throwable)(implicit pos: Position): Nothing

     Definition Classes
       Assertions

110. #### def fail(message: String, cause: Throwable)(implicit pos: Position): Nothing

     Definition Classes
       Assertions

111. #### def fail(message: String)(implicit pos: Position): Nothing

     Definition Classes
       Assertions

112. #### def fail()(implicit pos: Position): Nothing

     Definition Classes
       Assertions

113. #### def fakeApplication(): Application

     Definition Classes
       GuiceFakeApplicationFactory → FakeApplicationFactory

114. #### def finalize(): Unit

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )

115. #### val fullyMatch: FullyMatchWord

     Definition Classes
       MatcherWords

116. #### final def getClass(): Class[_]

     Definition Classes
       AnyRef → Any

117. #### def hashCode(): Int

     Definition Classes
       AnyRef → Any

118. #### val have: HaveWord

     Definition Classes
       MatcherWords

119. #### implicit def hc: HeaderCarrier

     Definition Classes
       RequestHandlerBehaviours

120. #### val img: ElementWord

     Definition Classes
       ElementWords

121. #### def inOrder(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfInOrderApplication

     Definition Classes
       MustMatchers

122. #### def inOrderElementsOf[R](elements: GenTraversable[R]): ResultOfInOrderElementsOfApplication

     Definition Classes
       MustMatchers

123. #### def inOrderOnly[T](firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfInOrderOnlyApplication

     Definition Classes
       MustMatchers

124. #### val include: IncludeWord

     Definition Classes
       MatcherWords

125. #### def includeForm(in: Future[Result], action: Call, method: String = HttpVerbs.GET): Unit

     Definition Classes
       HtmlAssertions

126. #### def includeHtmlTag(in: Future[Result], name: String, value: String): Unit

     Definition Classes
       HtmlAssertions

127. #### def includeHtmlTagWithAttribute(in: Future[Result], tagName: String, attributeName: String, attributeValue: String): Unit

     Definition Classes
       HtmlAssertions

128. #### def includesHtmlInput(in: Future[Result], name: String, type: String = "text"): Unit

     Definition Classes
       HtmlAssertions

129. #### def includesHtmlInputWithValue(in: Future[Result], name: String, value: String, type: String = "text"): Unit

     Definition Classes
       HtmlAssertions

130. #### def includesHtmlLink(in: Future[Result], href: String): Unit

     Definition Classes
       HtmlAssertions

131. #### def info: Informer

     Attributes
       protected
     Definition Classes
       WordSpecLike → Informing

132. #### def intercept[T <: AnyRef](f: ⇒ Any)(implicit classTag: ClassTag[T], pos: Position): T

     Definition Classes
       Assertions

133. #### def interval(value: Span): Interval

     Definition Classes
       PatienceConfiguration

134. #### final def isInstanceOf[T0]: Boolean

     Definition Classes
       Any

135. #### val it: ItWord

     Attributes
       protected
     Definition Classes
       WordSpecLike

136. #### implicit def jsoupElem2ShouldWrapper(elem: Element): JsoupElementShouldWrapper

     Definition Classes
       JsoupShouldMatchers

137. #### val key: KeyWord

     Definition Classes
       MustMatchers

138. #### val length: LengthWord

     Definition Classes
       MatcherWords

139. #### def lowPriorityConversionCheckedConstraint[A, B](implicit equivalenceOfB: Equivalence[B], cnv: (A) ⇒ B): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

140. #### def lowPriorityTypeCheckedConstraint[A, B](implicit equivalenceOfB: Equivalence[B], ev: <:<[A, B]): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

141. #### def markup: Documenter

     Attributes
       protected
     Definition Classes
       WordSpecLike → Documenting

142. #### implicit lazy val mat: Materializer

     Definition Classes
       UnigrationBase

143. #### val matchPattern: MatchPatternWord

     Definition Classes
       MatcherWords

144. #### def message(expectedMessage: String): ResultOfMessageWordApplication

     Definition Classes
       MustMatchers

145. #### implicit lazy val messages: MessagesApi

     Definition Classes
       UnigrationBase

146. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

147. #### def nestedSuites: IndexedSeq[Suite]

     Definition Classes
       Suite

148. #### def no(xs: String)(implicit collecting: Collecting[Char, String], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Char]

     Definition Classes
       MustMatchers

149. #### def no[K, V, JMAP[k, v] <: Map[k, v]](xs: JMAP[K, V])(implicit collecting: Collecting[Entry[K, V], JMAP[K, V]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[Entry[K, V]]

     Definition Classes
       MustMatchers

150. #### def no[E, C[_]](xs: C[E])(implicit collecting: Collecting[E, C[E]], prettifier: Prettifier, pos: Position): ResultOfCollectedAny[E]

     Definition Classes
       MustMatchers

151. #### def noElementsOf(elements: GenTraversable[Any]): ResultOfNoElementsOfApplication

     Definition Classes
       MustMatchers

152. #### def noException(implicit pos: Position): NoExceptionWord

     Definition Classes
       MatcherWords

153. #### def noneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfNoneOfApplication

     Definition Classes
       MustMatchers

154. #### val not: NotWord

     Definition Classes
       MatcherWords

155. #### def note: Notifier

     Attributes
       protected
     Definition Classes
       WordSpecLike → Notifying

156. #### final def notify(): Unit

     Definition Classes
       AnyRef

157. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

158. #### def of[T](implicit ev: ClassTag[T]): ResultOfOfTypeInvocation[T]

     Definition Classes
       MustMatchers

159. #### def oneElementOf(elements: GenTraversable[Any]): ResultOfOneElementOfApplication

     Definition Classes
       MustMatchers

160. #### def oneOf(firstEle: Any, secondEle: Any, remainingEles: Any*)(implicit pos: Position): ResultOfOneOfApplication

     Definition Classes
       MustMatchers

161. #### def only(xs: Any*)(implicit pos: Position): ResultOfOnlyApplication

     Definition Classes
       MustMatchers

162. #### implicit lazy val patience: PatienceConfig

     Definition Classes
       UnigrationFutures

163. #### implicit def patienceConfig: PatienceConfig

     Definition Classes
       PatienceConfiguration → AbstractPatienceConfiguration

164. #### def pending: Assertion with PendingStatement

     Definition Classes
       Assertions

165. #### def pendingUntilFixed(f: ⇒ Unit)(implicit pos: Position): Assertion with PendingStatement

     Definition Classes
       Assertions

166. #### def random0To9: Int

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

167. #### def randomBigDecimal(limit: Int): BigDecimal

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

168. #### def randomBigDecimal: BigDecimal

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

169. #### def randomBoolean: Boolean

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

170. #### def randomDomainName: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

171. #### def randomEmail(firstName: String, lastName: String): String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

172. #### def randomEmail: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

173. #### def randomFirstName: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

174. #### def randomISO3166Alpha2CountryCode: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

175. #### def randomISO4217CurrencyCode: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

176. #### def randomInt(limit: Int): Int

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

177. #### def randomLastName: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

178. #### def randomString(length: Int): String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

179. #### def randomUUID: String

     Attributes
       protected
     Definition Classes
       UnigrationFixtures

180. #### val readable: ReadableWord

     Definition Classes
       MatcherWords

181. #### val regex: RegexWord

     Definition Classes
       MustMatchers

182. #### final def registerIgnoredTest(testText: String, testTags: Tag*)(testFun: ⇒ Any)(implicit pos: Position): Unit

     Definition Classes
       WordSpecLike → TestRegistration

183. #### final def registerTest(testText: String, testTags: Tag*)(testFun: ⇒ Any)(implicit pos: Position): Unit

     Definition Classes
       WordSpecLike → TestRegistration

184. #### def rerunner: Option[String]

     Definition Classes
       Suite

185. #### def run(testName: Option[String], args: Args): Status

     Definition Classes
       BaseOneAppPerSuite → SuiteMixin

186. #### def runNestedSuites(args: Args): Status

     Attributes
       protected
     Definition Classes
       Suite

187. #### def runTest(testName: String, args: Args): Status

     Attributes
       protected
     Definition Classes
       WordSpecLike → TestSuite → Suite

188. #### def runTests(testName: Option[String], args: Args): Status

     Attributes
       protected
     Definition Classes
       WordSpecLike → Suite

189. #### final def scaled(span: Span): Span

     Definition Classes
       ScaledTimeSpans

190. #### val self: ElementSelector

     Attributes
       protected
     Definition Classes
       JsoupShouldMatchers → ElementSelectorBuilders

191. #### val size: SizeWord

     Definition Classes
       MatcherWords

192. #### val sorted: SortedWord

     Definition Classes
       MatcherWords

193. #### def spanScaleFactor: Double

     Definition Classes
       ScaledTimeSpans

194. #### val startWith: StartWithWord

     Definition Classes
       MatcherWords

195. #### implicit def string2AsBodyFragment(s: String): AnyRef { def asBodyFragment: org.jsoup.nodes.Element }

     Definition Classes
       JsoupShouldMatchers

196. #### final val styleName: String

     Definition Classes
       WordSpecLike → Suite

197. #### implicit val subjectRegistrationFunction: StringVerbBlockRegistration

     Attributes
       protected
     Definition Classes
       WordSpecLike

198. #### implicit val subjectWithAfterWordRegistrationFunction: SubjectWithAfterWordRegistration

     Attributes
       protected
     Definition Classes
       WordSpecLike

199. #### final val succeed: Assertion

     Definition Classes
       Assertions

200. #### def suiteId: String

     Definition Classes
       Suite

201. #### def suiteName: String

     Definition Classes
       Suite

202. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

203. #### def tags: Map[String, Set[String]]

     Definition Classes
       WordSpecLike → Suite

204. #### def testDataFor(testName: String, theConfigMap: ConfigMap): TestData

     Definition Classes
       WordSpecLike → Suite

205. #### def testNames: Set[String]

     Definition Classes
       WordSpecLike → Suite

206. #### def the[T](implicit arg0: ClassTag[T], pos: Position): ResultOfTheTypeInvocation[T]

     Definition Classes
       MustMatchers

207. #### def theSameElementsAs(xs: GenTraversable[_]): ResultOfTheSameElementsAsApplication

     Definition Classes
       MustMatchers

208. #### def theSameElementsInOrderAs(xs: GenTraversable[_]): ResultOfTheSameElementsInOrderAsApplication

     Definition Classes
       MustMatchers

209. #### val theSameInstanceAs: TheSameInstanceAsPhrase

     Definition Classes
       MustMatchers

210. #### val they: TheyWord

     Attributes
       protected
     Definition Classes
       WordSpecLike

211. #### def thrownBy(fun: ⇒ Any): ResultOfThrownByApplication

     Definition Classes
       MustMatchers

212. #### def timeout(value: Span): Timeout

     Definition Classes
       PatienceConfiguration

213. #### def toString(): String

     Definition Classes
       WordSpec → AnyRef → Any

214. #### val typeCheck: TypeCheckWord

     Definition Classes
       MatcherWords

215. #### def typeCheckedConstraint[A, B](implicit equivalenceOfA: Equivalence[A], ev: <:<[B, A]): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

216. #### implicit def unconstrainedEquality[A, B](implicit equalityOfA: Equality[A]): CanEqual[A, B]

     Definition Classes
       TripleEquals → TripleEqualsSupport

217. #### def uriWithContextPath(path: String): String

     Definition Classes
       RequestHandlerBehaviours

218. #### val value: ValueWord

     Definition Classes
       MustMatchers

219. #### val video: ElementWord

     Definition Classes
       ElementWords

220. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

221. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

222. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

223. #### def wasHtml(of: Future[Result]): Unit

     Definition Classes
       HtmlAssertions

224. #### def wasNotFound(resp: Future[Result]): Unit

     Definition Classes
       HttpAssertions

225. #### def wasOk(resp: Future[Result]): Unit

     Definition Classes
       HttpAssertions

226. #### def wasRedirected(toUri: String, resp: Future[Result]): Unit

     Definition Classes
       HttpAssertions

227. #### final def whenReady[T, U](future: FutureConcept[T])(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

228. #### final def whenReady[T, U](future: FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

229. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

230. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

     Definition Classes
       Futures

231. #### def withAttr(key: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

232. #### def withAttrValue(key: String, value: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

233. #### def withAttrValueMatching(key: String, pattern: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

234. #### def withClass(cls: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

235. #### def withClue[T](clue: Any)(fun: ⇒ T): T

     Definition Classes
       Assertions

236. #### def withFixture(test: NoArgTest): Outcome

     Attributes
       protected
     Definition Classes
       TestSuite

237. #### def withName(name: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

238. #### def withRequest(method: String, uri: String, headers: Map[String, String] = Map.empty, session: Map[String, String] = Map.empty, tags: Map[String, String] = Map.empty)(test: (Future[Result]) ⇒ Unit): Unit

     Definition Classes
       RequestHandlerBehaviours

239. #### def withRequestAndFormBody(method: String, uri: String, headers: Map[String, String] = Map.empty, session: Map[String, String] = Map.empty, tags: Map[String, String] = Map.empty, body: Map[String, String] = Map.empty)(test: (Future[Result]) ⇒ Unit): Unit

     Definition Classes
       RequestHandlerBehaviours

240. #### def withSrc(value: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

241. #### def withSrcMatching(pattern: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

242. #### def withValue(value: String): ElementSelector

     Definition Classes
       ElementSelectorBuilders

243. #### val writable: WritableWord

     Definition Classes
       MatcherWords

244. #### def wsCall(call: Call)(implicit portNumber: PortNumber, wsClient: WSClient): WSRequest

     Definition Classes
       WsScalaTestClient

245. #### def wsUrl(url: String)(implicit portNumber: PortNumber, wsClient: WSClient): WSRequest

     Definition Classes
       WsScalaTestClient

### Deprecated Value Members

1. #### final def execute: Unit

   Definition Classes
     Suite
   Annotations
     @deprecated
   Deprecated

     The parameterless execute method has been deprecated and will be removed in a future version of ScalaTest. Please invoke execute with empty parens instead: execute().

2. #### def trap[T](f: ⇒ T): Throwable

   Definition Classes
     Assertions
   Annotations
     @deprecated
   Deprecated

     The trap method is no longer needed for demos in the REPL, which now abreviates stack traces, and will be removed in a future version of ScalaTest

### Inherited from HttpAssertions

### Inherited from HtmlAssertions

### Inherited from JsoupShouldMatchers

### Inherited from ElementWords

### Inherited from ElementSelectorBuilders

### Inherited from UnigrationAssertions

### Inherited from RequestHandlerBehaviours

### Inherited from UnigrationBase

### Inherited from UnigrationFixtures

### Inherited from UnigrationFutures

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from GuiceOneAppPerSuite

### Inherited from GuiceFakeApplicationFactory

### Inherited from FakeApplicationFactory

### Inherited from BaseOneAppPerSuite

### Inherited from TestSuiteMixin

### Inherited from SuiteMixin

### Inherited from PlaySpec

### Inherited from WsScalaTestClient

### Inherited from OptionValues

### Inherited from MustMatchers

### Inherited from Explicitly

### Inherited from MatcherWords

### Inherited from Tolerance

### Inherited from WordSpec

### Inherited from WordSpecLike

### Inherited from Documenting

### Inherited from Alerting

### Inherited from Notifying

### Inherited from Informing

### Inherited from CanVerb

### Inherited from MustVerb

### Inherited from ShouldVerb

### Inherited from TestRegistration

### Inherited from TestSuite

### Inherited from Suite

### Inherited from Serializable

### Inherited from Assertions

### Inherited from TripleEquals

### Inherited from TripleEqualsSupport

### Inherited from AnyRef

### Inherited from Any

### Ungrouped